function monthDay(_oYear,_oMonth){
    return[31,(isLeapYear(_oYear)?29:28),31,30,31,30,31,31,30,31,30,31][_oMonth];
}

function isLeapYear(_oYear){
    return(((_oYear%4===0)&&(_oYear%100!==0))||(_oYear%400===0));
}

var thisURL = document.URL;
var getVal =thisURL.split('?')[1];
var current_year= Number(getVal.split("&")[0].split("=")[1]);//选中的年份
var current_month= Number(getVal.split("&")[1].split("=")[1]);//选中的月份
var day= Number(getVal.split("&")[2].split("=")[1]);//选中的日期
var yjtime= Number(getVal.split("&")[3].split("=")[1]);//月经周期
var xjq= Number(getVal.split("&")[4].split("=")[1]);//行经天数
var next_year;
var next_month;
if(current_month == 12){
    next_year = Number(current_year)+1;
    next_month = 1;
}else{
    next_year = current_year;
    next_month= Number(current_month)+1;
}

function _g(_id){
    return document.getElementById(_id);
}

_g("showleft").innerHTML = current_year+"年"+current_month+"月"
_g("showright").innerHTML = next_year+"年"+next_month+"月"

var firstDayOfLeftMonth = new Date(current_year,current_month-1,1).getDay();//这个月的第一天是星期几(取值0-6)
var maxDayOfLeftMonth = monthDay(current_year,current_month-1);//这个月的天数

var firstDayOfRightMonth = new Date(next_year,next_month-1,1).getDay();//这个月的第一天是星期几(取值0-6)
var maxDayOfRightMonth = monthDay(next_year,next_month-1);//这个月的天数

var left_grid_bodys = document.getElementsByTagName("tbody");
var node_left_table = left_grid_bodys[0].getElementsByTagName("tr");//当月数据
var node_right_table = left_grid_bodys[1].getElementsByTagName("tr");//下月数据
var left_table_index = 0;
var right_table_index = 0;
var lastTime = new Date(Date.UTC(current_year,current_month-1,day)).getTime();
for(var i = 2;i < 8;i++){
    var left_table_child = node_left_table[i].getElementsByTagName("td");
    for(var j = 0;j < 7;j++){
        if(left_table_index >= firstDayOfLeftMonth && left_table_index < (maxDayOfLeftMonth + firstDayOfLeftMonth)){
            var day_of_month = Number(left_table_index-firstDayOfLeftMonth+1);
            left_table_child[j].innerHTML = day_of_month;
            show(left_table_child[j],current_year,current_month,lastTime);
        }
        left_table_index++;
    }

    var right_table_child = node_right_table[i].getElementsByTagName("td");
    for(var k = 0;k < 7;k++){
        if(right_table_index >= firstDayOfRightMonth && right_table_index < (maxDayOfRightMonth + firstDayOfRightMonth)){
            right_table_child[k].innerHTML = right_table_index - firstDayOfRightMonth + 1;
            show(right_table_child[k],next_year,next_month,lastTime);
        }
        right_table_index++;
    }
}

function show(item, year,month,lastTime){
    var secondUnit = 24 * 60 * 60 * 1000;
    var calDay = Number(parseInt(item.innerHTML));
    var calTime = new Date(Date.UTC(year,month-1,calDay)).getTime();
    var dayDiff = Math.floor((calTime - lastTime) / secondUnit);
    var result = (dayDiff % yjtime + yjtime) % yjtime;
    if(result >= 0 && result < xjq){
        item.className='gird_ceil yellow';
    }else if(result >= xjq && result <= (yjtime - 20)){//20
        item.className='gird_ceil green';
    }else if(result >= (yjtime - 19) && result <= (yjtime - 10)){//19 10
        item.className='gird_ceil red';
    }else if(result >= (yjtime - 9) && result <= (yjtime - 1)){//9 1
        item.className='gird_ceil green';
    }else{
        item.className='gird_ceil green';
    }
}